# Generated by Django 5.0.6 on 2024-10-16 23:22

import uuid

import django.db.models.deletion
import django.utils.timezone
import phonenumber_field.modelfields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("common", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Branch",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        db_index=True,
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("active", models.BooleanField(default=True)),
                ("created", models.DateTimeField(default=django.utils.timezone.now)),
                ("created_by", models.UUIDField(blank=True, null=True)),
                ("updated", models.DateTimeField(default=django.utils.timezone.now)),
                ("updated_by", models.UUIDField(blank=True, null=True)),
                ("deleted_at", models.DateTimeField(blank=True, null=True)),
                ("email_address", models.EmailField(blank=True, max_length=50)),
                (
                    "phone_number",
                    phonenumber_field.modelfields.PhoneNumberField(
                        blank=True, max_length=128, region=None
                    ),
                ),
                ("physical_address", models.TextField(blank=True)),
                ("postal_address", models.CharField(blank=True, max_length=100)),
                ("name", models.CharField(max_length=255)),
                (
                    "organisation",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="%(app_label)s_%(class)s_related",
                        to="common.organisation",
                    ),
                ),
            ],
            options={
                "db_table": "branch",
            },
        ),
        migrations.CreateModel(
            name="Department",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        db_index=True,
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("active", models.BooleanField(default=True)),
                ("created", models.DateTimeField(default=django.utils.timezone.now)),
                ("created_by", models.UUIDField(blank=True, null=True)),
                ("updated", models.DateTimeField(default=django.utils.timezone.now)),
                ("updated_by", models.UUIDField(blank=True, null=True)),
                ("deleted_at", models.DateTimeField(blank=True, null=True)),
                ("email_address", models.EmailField(blank=True, max_length=50)),
                (
                    "phone_number",
                    phonenumber_field.modelfields.PhoneNumberField(
                        blank=True, max_length=128, region=None
                    ),
                ),
                ("physical_address", models.TextField(blank=True)),
                ("postal_address", models.CharField(blank=True, max_length=100)),
                ("name", models.CharField(max_length=255)),
                (
                    "branch",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="departments",
                        to="org_structure.branch",
                    ),
                ),
                (
                    "organisation",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="%(app_label)s_%(class)s_related",
                        to="common.organisation",
                    ),
                ),
            ],
            options={
                "db_table": "department",
            },
        ),
        migrations.CreateModel(
            name="DepartmentMembers",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        db_index=True,
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("active", models.BooleanField(default=True)),
                ("created", models.DateTimeField(default=django.utils.timezone.now)),
                ("created_by", models.UUIDField(blank=True, null=True)),
                ("updated", models.DateTimeField(default=django.utils.timezone.now)),
                ("updated_by", models.UUIDField(blank=True, null=True)),
                ("deleted_at", models.DateTimeField(blank=True, null=True)),
                (
                    "department",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="department_users",
                        to="org_structure.department",
                    ),
                ),
                (
                    "organisation",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="%(app_label)s_%(class)s_related",
                        to="common.organisation",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="user_department",
                        to="common.userprofile",
                    ),
                ),
            ],
            options={
                "db_table": "department_members",
            },
        ),
    ]
